BuildType (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest.internal

## Enum BuildType

- java.lang.Object
- - java.lang.Enum<BuildType>
  - - com.ibm.streamsx.rest.internal.BuildType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BuildType>

      public enum BuildType
      extends java.lang.Enum<BuildType>

  Build types for the build service. Use `getJsonValue()` to create the value for the JSON of the request body.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION`
    `STREAMS_DOCKER_IMAGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJsonValue()`
    `static BuildType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BuildType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION

          public static final BuildType APPLICATION

    - #### STREAMS_DOCKER_IMAGE

          public static final BuildType STREAMS_DOCKER_IMAGE

  - ### Method Detail

    - #### values

          public static BuildType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BuildType c : BuildType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BuildType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getJsonValue

          public java.lang.String getJsonValue()

      Returns:
        the value as it must go into the JSON of the request body.